<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Rubric"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.0 / March 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('rubric', CPO_BASEDIR.$moduleDirectory);

$GLOBALS['modules']['Rubrik-Extras'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Rubric extras'),
    'install'   => 'function: Rubric_install',
    'activate'  => 'function: Rubric_activate',
    'deactivate'=> 'function: Rubric_deactivate',
    'uninstall' => 'function: Rubric_uninstall'
	);

function Rubric_install()
{
    $GLOBALS['message'][] = ___('The rubric module was successfully installed.');
}

function Rubric_activate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('The rubric module got activated.').$reload_navigation;
}

function Rubric_deactivate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('The rubric module got deactivated.').$reload_navigation;
}

function Rubric_uninstall()
{
    $GLOBALS['message'][] = ___('Please remove the module directory %s to finally uninstall the rubric module.');
}

function Rubric_navigation()
{
	$GLOBALS['navigation']['Rubrics'][] = 'space'; 

	if ($_SESSION['SID_rubric_id'])  {

		$GLOBALS['navigation']['Rubrics'][] = array( 
			'caption'=>__('Edit rubric settings'), 
			'url'=>BASE_REL.'_admin/rubrics.php?action=rubrics_showsettings&id='.htmlspecialchars($_SESSION['SID_rubric_id'], ENT_COMPAT, 'ISO-8859-15') 
		); 

		$GLOBALS['navigation']['Rubrics'][] = array( 
			'caption'=>__('Edit rubric rights'), 
			'url'=>BASE_REL.'_admin/rubric_rights.php?rubric_id='.htmlspecialchars($_SESSION['SID_rubric_id'], ENT_COMPAT, 'ISO-8859-15') 
		); 
    } else {
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>__('Edit rubric settings'),
            'title'=>__('Please choose a rubric first.')
        );
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>__('Edit rubric rights'),
            'title'=>__('Please choose a rubric first.')
        );
    }
}

if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
    $hdlr_navigation[] = 'function: Rubric_navigation';
}

?>